FSS UI Certificate Expired so not loading

Document ID : KB000004784
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

FSS UI stopped loading up recently. It was working before.

No change on the Policy server or OS has been made recently.

Following error message is displayed in IE.

Environment:
Policy Server : Affected upto 12.52 SP1 CR6 and 12.52 SP2 CR1OS : ANYWeb Server : ANYJava : 1.7 or 1.8
Cause:

The FSS UI certificate that is shipped with the above version of Policy server has expired effectively from October 16, 2016.

So, post this date, the Java security wouldn't allow FSS UI to load due to expired certificate.

 

How to validate the certificate expiry date 

  • Open Java control panel
  • Click Security --> Manage Certificates

  • Double Click the certificate issued to "CA Inc"

  • Note the Validity date as "October 16 , 2016"

 Alternatively, if you enable the Java tracing from Java control panel,  then you will see the certificate expiry related error as below :

Resolution:

Add the FSS UI site URL as exception in the Java control panel.

  • Open Java control panel.
  • Click Security --> Edit Site List

 

Testing

1. Delete browser history and launch FSSUI

2. Click the check box below to accept the security warning and click Run

3. You will then be shown the FSS UI login page 

 

 

Resolution

CA is working on renewing the expired certificate. If you can't utilise the workaround provided , please open a support case so we can provide you the renewed certificate as a development fix.